Bug 1235860 - Overcloud Horizon - 'Create Key Pair' button is missing
Summary: Overcloud Horizon - 'Create Key Pair' button is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ga
: Director
Assignee: Mike Burns
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 23:20 UTC by Ido Ovadia
Modified: 2016-04-18 07:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:56:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Create Key Pair is missing (76.52 KB, image/png)
2015-06-25 23:20 UTC, Ido Ovadia
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Ido Ovadia 2015-06-25 23:20:57 UTC
Created attachment 1043318 [details]
Create Key Pair is missing

Description of problem:
=======================
Overcloud Horizon - 'Create Key Pair' button is missing in 
Project -> Compute -> Access & Security -> Key Pairs

Version-Release number of selected component (if applicable):
=============================================================
openstack-dashboard-2015.1.0-10.el7ost.noarch
python-django-horizon-2015.1.0-10.el7ost.noarch

How reproducible:
=================
100%

Steps to Reproduce:
===================
1. Deploy overcloud
2. Log in to overcloud UI  Horizon
3. Go to Project -> Compute -> Access & Security -> Key Pairs

Actual results:
===============
'Create Key Pair' button is missing

Expected results:
=================
Button should exist

Additional info:
================
Screenshot is enclosed

Comment 2 Lon Hohberger 2015-06-26 13:55:06 UTC
This is working in an AIO deployment.

Comment 3 Ido Ovadia 2015-06-28 11:08:55 UTC
This bug occurs while installing by OSP-7 director,
It doesn't happen using packstack

Comment 4 Matthias Runge 2015-06-28 14:32:06 UTC
I can reproduce this issue when removing the volumev2 endpoint from setup. This is director issue bug 1233956.

The tracker for horizon to support cinder volume v1 only is bug 1233945

Comment 5 Ido Ovadia 2015-06-29 12:53:29 UTC
Verified
========
os-cloud-config-0.2.8-4.el7ost.noarch
python-django-horizon-2015.1.0-10.el7ost.noarch

Comment 6 Scott Lewis 2015-06-30 14:14:56 UTC
adding pm_ack+ for TestOnly bug that's already verified

Comment 8 errata-xmlrpc 2015-08-05 13:56:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.